/*
** PHREL
** $Id: capture.h,v 1.12 2013/04/21 02:29:09 sella Exp $
** Copyright (c) 2005-2013 James M. Sella. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_CAPTURE_H
#define __DGS_CAPTURE_H

#ifdef HAVE_CONFIG_H
   #include <config.h>
#endif

#include <pcap.h>

#ifndef __USE_BSD
	#define __USE_BSD
#endif
#include <netinet/ip.h>
#ifndef __FAVOR_BSD
	#define __FAVOR_BSD
#endif

/* Function definitions. */
int capture(void);
void callback(const struct pcap_pkthdr* pkthdr, const u_char* packet);
int check_filter(const struct sockaddr_storage *ss);

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim: noet ts=3 sw=3
*/
